<?php session_start(); ?>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de citas</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="static/style.css" type="text/css" media="screen"/>
        <link rel="stylesheet" href="static/fullcalendar.css" type="text/css" media="screen"/>
        <link rel="stylesheet" href="static/jquery-ui.css" type="text/css" media="screen"/>
        <script src="static/jquery-3.5.1.min.js"></script>
        <script src="static/jquery-ui.min.js"></script>
        <script src="static/moment.min.js"></script>
        <script src="static/fullcalendar.min.js"></script>
        <script src="calendar.js"></script>
    </head>
    <body>
    <?php include 'navbar.php'; ?>
    <?php
    include 'appointment_management.php';

    $pdo = connectDatabase();
    $patients = listPatients($pdo);
    $calendar_settings = fetchCalendarSettings($pdo, $doctor);
    $time_ranges = computeTimeRanges($pdo);
    ?>
    <?php if($_SESSION["user_type"] == 1 and !isset($_GET["medico"])): ?>
        <form name="select_doctor" method="get" action="appointment.php">
        <?php $doctors = listDoctors($pdo); ?>
            <div class="input-group">
                <select id="medico" name="medico">
                    <option>Seleccione un médico</option>
                    <?php foreach ($doctors as $row) : ?>
                        <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                    <?php endforeach ?>
                </select>
                <button class="create_btn" type="submit" name="select">Seleccionar</button>
            </div>
        </form>
    <?php endif; ?>
        <div id="dialog-form" title="Añadir cita" style="display:none;">
        <form name="add_appointment" method="post" action="appointment_management.php">
                <div class="input-group">
                    <label for="hora">Hora</label>
                    <select id="hora" name="hora">
                        <option>Seleccione una hora</option>
                        <?php foreach ($time_ranges as $row) : ?>
                            <option><?php echo $row; ?></option>
                        <?php endforeach ?>
                    </select>
                </div>
                <div class="input-group">
                    <label for="duracion">Duración</label>
                    <input type="number" name="duracion" value="<?php echo $calendar_settings[8]; ?>" step="30">
                </div>
                <div class="input-group">
                    <label for="observaciones">Observaciones</label>
                    <input type="text" name="observaciones" value="">
                </div>
                <div class="input-group">
                    <select id="paciente" name="paciente">
                        <option>Seleccione un paciente</option>
                        <?php foreach ($patients as $row) : ?>
                            <option value="<?php echo $row[0]; ?>"><?php echo $row[2]; ?></option>
                        <?php endforeach ?>
                    </select>
                </div>
                <button class="create_btn" type="submit" name="create" >Añadir cita</button>
                <?php $doctor = fetchDoctor($pdo); ?>
                <input type="hidden" name="doctor" value="<?php echo $doctor; ?>">
                <input type="hidden" name="fecha" id="fecha">
            </form>
            <?php closeDatabase($pdo); ?>
        </div>
        <div class="response"></div>
        <div id="calendar"></div>
        <div id="event-info"  style="display:none;">
            <div id="event-patient"/></div>
            <div id="event-description"/></div>
            <div id="event-start"/></div>
            <div id="event-end"/></div>
            <form method="post" action="appointment_management.php">
                <input type="hidden" name="event_id" id="event_id">
                <button class="create_btn" type="submit" name="edit_form">Editar</button>
                <button class="del_btn" type="submit" name="delete">Borrar</button>
            </form>
        </div>
    </body>
</html>
