<?php
include'database.php';

session_start();

function fetchDoctor($pdo){
    if($_SESSION["user_type"] == 2){
        $user = finduser($pdo, $_SESSION["user"]);
        return $user[0][4];
    } 
    return $_GET["medico"];
}


function listEvents($pdo){
    $doctor = fetchDoctor($pdo);
    $events = fetchCalendarEvents($pdo, $doctor);
    return $events;
}


function listHolidays($pdo){
    $doctor = fetchDoctor($pdo);
    $holidays = fetchDoctorHolidays($pdo, $doctor);
    return $holidays;
}


function listCalendarSettings($pdo){
    $doctor = fetchDoctor($pdo);
    $calendar_settings = fetchCalendarSettings($pdo, $doctor);
    return $calendar_settings;
}


function appointmentCreation(){
    $data = $_POST;
    $pdo = connectDatabase();
    createAppointment($pdo, $data);
    closeDatabase($pdo);
    header('location: appointment.php');
}


function appointmentModification(){
    $data = $_POST;
    $pdo = connectDatabase();
    editAppointment($pdo, $data);
    closeDatabase($pdo);
    header('location: appointment.php');
}


function appointmentDeletion(){
    $id = $_POST["event_id"];
    $pdo = connectDatabase();
    deleteAppointment($pdo, $id);
    closeDatabase($pdo);
    header('location: appointment.php');
}


function getFloorCeiling($pdo){
    $data = listCalendarSettings($pdo);
    if($data["horario"] == "completo"){
        $start = $data["hora_inicio_mañana"];
        $end = $data["hora_fin_tarde"];
    } else if($data["horario"] == "mañana"){
        $start = $data["hora_inicio_mañana"];
        $end = $data["hora_fin_mañana"];
    } else {
        $start = $data["hora_inicio_tarde"];
        $end = $data["hora_fin_tarde"];
    }
    $range[] = array(
      "start" => $start,
      "end" => $end,
    );
    return $range[0];
}


function getTimeDiff(){
    $current = time(); 
    $addTime = strtotime("+30 mins", $current); 
    $diff = $addTime - $current;
    return $diff;
}


function computeTimeRanges($pdo){
    $range = getFloorCeiling($pdo);
    $diff = getTimeDiff();
    $start = strtotime($range["start"]);
    $end = strtotime($range["end"]);
    $time_range = array();
    while($start < $end){
        $time_range[] = date('G:i:s', $start);
        $start += $diff;
    }
    return $time_range;
}


if(isset($_POST["create"])){
    appointmentCreation();
}

if(isset($_POST["edit_form"])){
    $event_id = $_POST["event_id"];
    header("location: appointment_edit_form.php?event_id=$event_id");
}

if(isset($_POST["edit"])){
        appointmentModification();
}

if(isset($_POST["delete"])){
    appointmentDeletion();
}
